package com.jz.dmp.modules.controller.DataIntegration.bean;


import com.jz.common.page.BasePageBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;

/**
 * @ClassName: RealTimeTableInfoReq
 * @Description: 新增实时任务--获取表信息请求参数
 * @Author：Bellamy
 * @Date 2021/01/06
 * @Version 1.0
 */
@ApiModel(value = "新增实时任务--获取表信息请求参数", description = "新增实时任务--获取表信息请求参数")
public class RealTimeTableInfoReq {
    /*
     * 来源数据源id
     * */
    @ApiModelProperty(value = "来源数据源id")
    private String srcDatasourceId;

    /*
     * 目标数据源名称
     * */
    @ApiModelProperty(value = "选中表名称")
    private String selectTablesName;

    /*
     * 目标数据源id
     * */
    @ApiModelProperty(value = "目标数据源id")
    private String targetDatasourceId;

    /*
     * 黑名单表
     * */
    @ApiModelProperty(value = "黑名单表")
    private String blacklistTables;

    /*
     * 项目id
     * */
    @ApiModelProperty(value = "项目id")
    @NotNull(message = "项目id不能为空")
    @NotEmpty(message = "项目ID不能空")
    private String projectId;

    /*
     * 是否显示列的相关信息  默认不显示
     * */
    @ApiModelProperty(value = "是否显示列的相关信息  默认不显示")
    private String isContainColumnInfo;

    /*
     * 是否显示 是否已经提交
     * */
    @ApiModelProperty(value = "是否显示 是否已经提交")
    private String isContainSubmited ;

    /*
     * 文本框中输入的要查询的表
     * */
    @ApiModelProperty(value = "文本框中输入的要查询的表")
    private String toQueryTableName;

    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }

    public String getSrcDatasourceId() {
        return srcDatasourceId;
    }

    public void setSrcDatasourceId(String srcDatasourceId) {
        this.srcDatasourceId = srcDatasourceId;
    }

    public String getSelectTablesName() {
        return selectTablesName;
    }

    public void setSelectTablesName(String selectTablesName) {
        this.selectTablesName = selectTablesName;
    }

    public String getTargetDatasourceId() {
        return targetDatasourceId;
    }

    public void setTargetDatasourceId(String targetDatasourceId) {
        this.targetDatasourceId = targetDatasourceId;
    }

    public String getBlacklistTables() {
        return blacklistTables;
    }

    public void setBlacklistTables(String blacklistTables) {
        this.blacklistTables = blacklistTables;
    }

    public String getIsContainColumnInfo() {
        return isContainColumnInfo;
    }

    public void setIsContainColumnInfo(String isContainColumnInfo) {
        this.isContainColumnInfo = isContainColumnInfo;
    }

    public String getIsContainSubmited() {
        return isContainSubmited;
    }

    public void setIsContainSubmited(String isContainSubmited) {
        this.isContainSubmited = isContainSubmited;
    }

    public String getToQueryTableName() {
        return toQueryTableName;
    }

    public void setToQueryTableName(String toQueryTableName) {
        this.toQueryTableName = toQueryTableName;
    }
}
