package com.jz.dmp.modules.controller;

import javax.servlet.http.HttpServletRequest;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import com.jz.common.bean.PageInfoResponse;
import com.jz.common.constant.StatuConstant;
import com.jz.dmp.modules.controller.bean.DmpDevelopTaskDto;
import com.jz.dmp.modules.controller.bean.DmpDevelopTaskRequest;
import com.jz.dmp.modules.service.DmpDevelopTaskService;

import io.swagger.annotations.ApiOperation;

/**
 * 任务开发(DmpDevelopTask)表控制层
 *
 * @author Bellamy
 * @since 2020-12-22 16:37:56
 */
@RestController
@RequestMapping("/dmpDevelopTask")
public class DmpDevelopTaskController {
    /**
     * 服务对象
     */
    @Autowired
    private DmpDevelopTaskService dmpDevelopTaskService;
    
    /**列表查询任务开发
	 * @param dmpDevelopTaskRequest
	 * @return
	 */
	@RequestMapping(method = RequestMethod.POST, value = "/findListWithPage")
	@ApiOperation(value = "分頁列表查询任务开发", notes = "分頁列表查询任务开发")
	public PageInfoResponse<DmpDevelopTaskDto> findListWithPage(@RequestBody DmpDevelopTaskRequest dmpDevelopTaskRequest, HttpServletRequest httpRequest){
		PageInfoResponse<DmpDevelopTaskDto> pageInfo = new PageInfoResponse<DmpDevelopTaskDto>();
		try {
			pageInfo = dmpDevelopTaskService.findListWithPage(dmpDevelopTaskRequest, httpRequest);
		} catch (Exception e) {
			pageInfo.setMessage("查询失败");
			pageInfo.setCode(StatuConstant.FAILURE_CODE);
			e.printStackTrace();
		}
		
		return pageInfo;
	}

}