package com.jz.dmp.modules.controller.dataService.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName: OrganizationManageAddReq
 * @Description: 新增组织管理请求体
 * @Author: Bellamy
 * @Date 2021/1/16
 * @Version 1.0
 */
@Data
@ApiModel("新增组织管理详情请求体")
public class OrganizationManageAddReq implements Serializable {

    private static final long serialVersionUID = 3131683881168540907L;
    @ApiModelProperty(value = "组织类型:INT 内部组织 OUT 外部组织", required = true)
    @NotNull(message = "组织类型不能为空!")
    @NotEmpty(message = "组织类型不能为空!")
    private String orgType;

    @ApiModelProperty(value = "组织名称", required = true)
    @NotNull(message = "组织名称不能为空")
    @NotEmpty(message = "组织名称不能为空!")
    private String orgName;

    @ApiModelProperty(value = "组织描述", required = false)
    private String orgDesc;

    @ApiModelProperty(value = "组织英文名称", required = false)
    private String orgCnName;

    @ApiModelProperty(value = "组织邮箱", required = false)
    private String orgMail;

    @ApiModelProperty(value = "联系方式", required = true)
    @NotEmpty(message = "联系方式不能为空!")
    private String orgPhone;

    @ApiModelProperty(value = "状态(NORMAL-正常 FREEZE-冻结 CANCEL-注销)", required = true)
    private String status;

    @ApiModelProperty(value = "联系人", required = true)
    private String createUser;
}
