package com.jz.dmp.modules.controller.dataService.bean;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @ClassName: OrganizationManageUpdateReq
 * @Description: 更新组织管理请求体
 * @Author: Bellamy
 * @Date 2021/1/16
 * @Version 1.0
 */
@Data
@ApiModel("更新组织管理请求体")
public class OrganizationManageUpdateReq implements Serializable {

    @ApiModelProperty(value = "组织id",required = true)
    @NotNull(message = "组织id不能为空")
    private Long id;

   /* @ApiModelProperty(value = "组织名称",required = true)
    @NotNull(message = "组织名称不能为空")
    private String orgName;*/

    @ApiModelProperty(value = "组织描述",required = false)
    private String orgDesc;

    @ApiModelProperty(value = "状态(NORMAL-正常 FREEZE-冻结 CANCEL-注销)",required = false)
    private String status;

    @ApiModelProperty(value = "组织英文名称",required = false)
    private String orgCnName;

    @ApiModelProperty(value = "组织邮箱",required = false)
    private String orgMail;

    @ApiModelProperty(value = "组织电话",required = false)
    private String orgPhone;

    @ApiModelProperty(value = "备注",required = false)
    private String remark;

    @ApiModelProperty(value = "创建用户",required = false)
    private String updateUser;


}
