package com.jz.dmp.modules.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Collection;
import java.util.Date;
import java.util.List;

import org.springframework.format.annotation.DateTimeFormat;
import org.springframework.security.core.GrantedAuthority;
import org.springframework.security.core.userdetails.UserDetails;

import com.fasterxml.jackson.annotation.JsonFormat;

/**用户表
 * @author ybz
 *
 */
@ApiModel(value = "用户表", description = "用户表")
public class DmpMember implements UserDetails{
	/**
	 * 
	 */
	private static final long serialVersionUID = -7755162995496909499L;

	/**
	* 用户ID
	*/
	@ApiModelProperty(value = "用户ID")
    private Integer userId;

	/**
	* 用户名称
	*/
	@ApiModelProperty(value = "用户名称")
    private String userName;

	/**
	* 登录密码
	*/
	@ApiModelProperty(value = "登录密码")
    private String userPassword;

	/**
	* 真实姓名
	*/
	@ApiModelProperty(value = "真实姓名")
    private String realName;

	/**
	* 联系电话
	*/
	@ApiModelProperty(value = "联系电话")
    private String userPhone;

	/**
	* 登录IP
	*/
	@ApiModelProperty(value = "登录IP")
    private String loginIp;

	/**
	* 最近登录时间
	*/
	@ApiModelProperty(value = "最近登录时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date loginTime;

	/**
	* 是否登录锁定(0：否，1：是)
	*/
	@ApiModelProperty(value = "是否登录锁定(0：否，1：是)")
    private String loginLocked;

	/**
	* 连续登录错误次数
	*/
	@ApiModelProperty(value = "连续登录错误次数")
    private Integer loginErrtimes;

	/**
	* 备注
	*/
	@ApiModelProperty(value = "备注")
    private String remark;

	/**
	* 数据状态(0：删除，1，未删除)
	*/
	@ApiModelProperty(value = "数据状态(0：删除，1，未删除)")
    private String dataStatus;

	/**
	* 创建用户ID
	*/
	@ApiModelProperty(value = "创建用户ID")
    private Integer createUserId;

	/**
	* 创建时间
	*/
	@ApiModelProperty(value = "创建时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

	/**
	* 修改用户ID
	*/
	@ApiModelProperty(value = "修改用户ID")
    private Integer updateUserId;

	/**
	* 修改时间
	*/
	@ApiModelProperty(value = "修改时间")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;
	
	@ApiModelProperty(value = "用户当前所在工作空间（项目）")
	private Integer currentProjectId;
	
	@ApiModelProperty(value = "用户角色")
	private List<DmpRole> memberRoleList;
	
	@ApiModelProperty(value = "用户当前项目角色")
	private List<DmpRole> memberProjectRoleList;
	
	@ApiModelProperty(value = "用户资源")
	private List<DmpPermission> memberPermissionList;
	
	@ApiModelProperty(value = "用户当前项目资源")
	private List<DmpPermission> memberProjectPermissionList;
	
	@ApiModelProperty(value = "用户资源")
	private List<DmpPermission> permissionList;
	
	@ApiModelProperty(value = "权限")
	private List<? extends GrantedAuthority> authorities;

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public String getUserName() {
		return userName;
	}

	public void setUserName(String userName) {
		this.userName = userName;
	}

	public String getUserPassword() {
		return userPassword;
	}

	public void setUserPassword(String userPassword) {
		this.userPassword = userPassword;
	}

	public String getRealName() {
		return realName;
	}

	public void setRealName(String realName) {
		this.realName = realName;
	}

	public String getUserPhone() {
		return userPhone;
	}

	public void setUserPhone(String userPhone) {
		this.userPhone = userPhone;
	}

	public String getLoginIp() {
		return loginIp;
	}

	public void setLoginIp(String loginIp) {
		this.loginIp = loginIp;
	}

	public Date getLoginTime() {
		return loginTime;
	}

	public void setLoginTime(Date loginTime) {
		this.loginTime = loginTime;
	}

	public String getLoginLocked() {
		return loginLocked;
	}

	public void setLoginLocked(String loginLocked) {
		this.loginLocked = loginLocked;
	}

	public Integer getLoginErrtimes() {
		return loginErrtimes;
	}

	public void setLoginErrtimes(Integer loginErrtimes) {
		this.loginErrtimes = loginErrtimes;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getDataStatus() {
		return dataStatus;
	}

	public void setDataStatus(String dataStatus) {
		this.dataStatus = dataStatus;
	}

	public Integer getCreateUserId() {
		return createUserId;
	}

	public void setCreateUserId(Integer createUserId) {
		this.createUserId = createUserId;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Integer getUpdateUserId() {
		return updateUserId;
	}

	public void setUpdateUserId(Integer updateUserId) {
		this.updateUserId = updateUserId;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	
	public Integer getCurrentProjectId() {
		return currentProjectId;
	}

	public void setCurrentProjectId(Integer currentProjectId) {
		this.currentProjectId = currentProjectId;
	}

	public List<DmpRole> getMemberRoleList() {
		return memberRoleList;
	}

	public void setMemberRoleList(List<DmpRole> memberRoleList) {
		this.memberRoleList = memberRoleList;
	}

	public List<DmpRole> getMemberProjectRoleList() {
		return memberProjectRoleList;
	}

	public void setMemberProjectRoleList(List<DmpRole> memberProjectRoleList) {
		this.memberProjectRoleList = memberProjectRoleList;
	}

	public List<DmpPermission> getMemberPermissionList() {
		return memberPermissionList;
	}

	public void setMemberPermissionList(List<DmpPermission> memberPermissionList) {
		this.memberPermissionList = memberPermissionList;
	}

	public List<DmpPermission> getMemberProjectPermissionList() {
		return memberProjectPermissionList;
	}

	public void setMemberProjectPermissionList(List<DmpPermission> memberProjectPermissionList) {
		this.memberProjectPermissionList = memberProjectPermissionList;
	}

	public List<DmpPermission> getPermissionList() {
		return permissionList;
	}

	public void setPermissionList(List<DmpPermission> permissionList) {
		this.permissionList = permissionList;
	}

	public void setAuthorities(List<? extends GrantedAuthority> authorities) {
		this.authorities = authorities;
	}

	@Override
	public Collection<? extends GrantedAuthority> getAuthorities() {
		// TODO Auto-generated method stub
		return this.authorities;
	}

	@Override
	public String getPassword() {
		// TODO Auto-generated method stub
		return this.userPassword;
	}

	@Override
	public String getUsername() {
		// TODO Auto-generated method stub
		return this.userName;
	}

	@Override
	public boolean isAccountNonExpired() {
		// TODO Auto-generated method stub
		return true;
	}

	@Override
	public boolean isAccountNonLocked() {
		// TODO Auto-generated method stub
		return true;
	}

	@Override
	public boolean isCredentialsNonExpired() {
		// TODO Auto-generated method stub
		return true;
	}

	@Override
	public boolean isEnabled() {
		// TODO Auto-generated method stub
		return true;
	}
}
