package com.jz.dmp.modules.service;

import com.jz.common.constant.JsonResult;
import com.jz.common.page.BasePageBean;
import com.jz.common.page.PageInfoResponse;
import com.jz.dmp.modules.controller.DataIntegration.bean.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @ClassName: OfflineSynchService
 * @Description:
 * @Author:Bellamy
 * @Date 2020/12/19
 * @Version 1.0
 */
public interface OfflineSynchService {
    /**
     * 离线同步任务列表分页查询
     *
     * @return
     * @author Bellamy
     */
    PageInfoResponse<TaskListPageDto> queryTaskListPage(TaskListPageReq taskListPageReq) throws Exception;

    /**
     * 获取源数据库名称——下拉框
     *
     * @return
     * @author Bellamy
     */
    JsonResult querygSourceDbList(Integer projectId) throws Exception;

    /**
     * 根据源数据库id,获取源数据表——下拉框
     *
     * @return
     * @author Bellamy
     */
    JsonResult querygSourceTableList(Long sourceDbId, String targetName) throws Exception;

    /**
     * 任务立即运行
     *
     * @return
     * @author Bellamy
     */
    JsonResult taskRunNowByTaskId(String taskId) throws Exception;

    /**
     * 根据taskId删除离线任务
     *
     * @return
     * @author Bellamy
     */
    JsonResult delTaskByTaskId(String taskId) throws Exception;

    JsonResult<List<CheckTaskStatusPageDto>> queryCheckTaskStatusListPage(CheckTaskStatusPageReq checkTaskStatusPageReq) throws Exception;

    PageInfoResponse<CheckJyRlueStatusDto> selectCheckJyStatusInfo(CheckJyRlueStatusReq checkJyRlueStatusReq) throws Exception;

    /**
     * 获取源表和目标表的字段
     *
     * @return
     * @author Bellamy
     */
    JsonResult querySoureAndTargetColumnsByParams(SoureAndTargetColumnsReq soureAndTargetColumnsReq) throws Exception;

    /**
     * 校验规则
     *
     * @return
     * @author Bellamy
     */
    PageInfoResponse<DvRuleTDto> queryJyRuleListPage(BasePageBean basePageBean, HttpServletRequest httpRequest) throws Exception;

    /**
     * 保存离线任务数据
     *
     * @return
     * @author Bellamy
     */
    JsonResult addSyncTask(SyncDmpTaskAddReq syncDmpTaskAddReq) throws Exception;

    /**
     * 编辑离线任务数据
     *
     * @return
     * @author Bellamy
     */
    JsonResult updateSyncTask(SyncDmpTaskAddReq syncDmpTaskAddReq) throws Exception;
}
